Skip to Content
0

modifyOrRemoveProducts.sh in MobaXterm : no input possible

Jul 11, 2017 at 10:44 AM

179

avatar image

Dear all,

I'm running SAP BusinessObjects BI Platform 4.2 SP04 on Red Hat Linux 7.

I'm trying to launch modifyOrRemoveProducts.sh to modify the installation.

I'm using MobaXterm.

In the next screen, I expect to see the action to perform : Modify - Repair - Remove.

The options are not displayed. An empty screen is displayed.

Thanks for sharing your ideas.

Hans

mobaxterm-1.png (59.6 kB)
mobaxterm-2.png (19.8 kB)
mobaxterm-3.png (18.9 kB)
10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

4 Answers

Xiaoping Zheng
Jul 20, 2017 at 08:05 AM
1

This should be a known issue in BI 4.2 SP4.

You can read SAP note 2446171 for more details

https://launchpad.support.sap.com/#/notes/2446171

Share
10 |10000 characters needed characters left characters exceeded
Denis Konovalov
Jul 11, 2017 at 12:50 PM
0

Just to isolate where the problem is - if you use PuTTY (or something else), it works ?
Just to see if this is script issue or terminal issue.

Share
10 |10000 characters needed characters left characters exceeded
Denis Konovalov
Jul 11, 2017 at 02:59 PM
0

One other thing - what is the exact version of your Red Hat ?

Share
10 |10000 characters needed characters left characters exceeded
Hans Segers
Jul 11, 2017 at 03:29 PM
0

Hi Denis,

We have the same issue in Putty, so the problem is not related to MobaXterm.

(Exactly the same behaviour as in the screenshots above)

The version of Red Hat is :

bi4adm@xxxxxxx:CLT[12.1.0/ic_1]: cat /proc/version
Linux version 3.10.0-514.21.1.el7.x86_64 (mockbuild@x86-020.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Sat Apr 22 02:41:35 EDT 2017

bi4adm@xxxxxxx:CLT[12.1.0/ic_1]: cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.3 (Maipo)

According to the PAM, RHEL 7 is supported.

It is not clear if that implies 7.3 as well.

Thanks

Hans


Show 3 Share
10 |10000 characters needed characters left characters exceeded

RHEL 7.3 is not supported for BI4.2 Sp4. The PAM is being updated on this. Plan is to support RHEL 7.3 from 4.2 SP5

0

Also, besides not supporting RHEL 7.3, the issue with modifyOrRemoveProducts.sh is a know issue SAP Note

2446171

1

Thanks Denis, is clear.

0